Show: Inherited Protected Private Deprecated

# CKEDITOR.plugins.ae_panelmenubuttonbridge Class

Defined in: `src/ui/react/src/uibridge/panel-menu-button.jsx:121`

CKEditor plugin that bridges the support offered by CKEditor PanelButton plugin. It takes over the responsibility of registering and creating buttons via:

- editor.ui.addPanelMenuButton(name, definition)
- editor.ui.add(name, CKEDITOR.UI_PANELBUTTON, definition)

## Constructor

### `CKEDITOR.plugins.ae_panelmenubuttonbridge`

()

Defined in `src/ui/react/src/uibridge/panel-menu-button.jsx:121`

## Index

### Methods

- generatePanelMenuButtonBridge
- init

## Methods

### `generatePanelMenuButtonBridge`

(

- `panelMenuButtonName`
- `panelMenuButtonDefinition`

)
Object private

Defined in `src/ui/react/src/uibridge/panel-menu-button.jsx:18`

Generates a PanelMenuButtonBridge React class for a given panelmenubutton definition if it has not been already created based on the panelmenubutton name and definition.

#### Parameters:

- `panelMenuButtonName` String

  The panel button name

- `panelMenuButtonDefinition` Object

  The panel button definition

#### Returns:

Object:

The generated or already existing React PanelMenuButton Class

### `init`

(

- `editor`

)

Defined in `src/ui/react/src/uibridge/panel-menu-button.jsx:134`

Set the add handler for UI_PANELBUTTON to our own. We do this in the init phase to override the one in the native plugin in case it's present

#### Parameters:

- `editor` Object

  The CKEditor instance being initialized